Subject: Re: bug#11572: 24.1.50; Emacs executable shadowed by an alias

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 May 2012 10:19:31 -0400

> 1. Create an alias 'emacs=emacsclient -c -a ""' or executable named
>    'emacs' in $PATH, which is a shell script with 'emacsclient -c -a ""'

If you really have an other `emacs' in the $PATH, I think "you get what
you ask for", kind of.  But I agree that emacsclient should not obey
shell aliases, because it should not run "emacs" via a shell.

        Stefan